Skip to main content
`Ctrl`+`K`

# TaoTermSetParametersLayout

Set the layout describing the parameter vector of `TaoTerm`.

## Synopsis

    #include "petsctao.h"
    PetscErrorCode TaoTermSetParametersLayout(TaoTerm term, PetscLayout parameters_layout)

Collective

## Input Parameters

- term - a `TaoTerm`

- parameters_layout - the `PetscLayout` for the parameter space

## Notes

The “parameter space” of a `TaoTerm` is the vector space of the fixed data \(p\) in \(f(x; p)\). Parameters are not optimized over. This is distinct from the “solution space” (set with `TaoTermSetSolutionSizes()`), which is the space of the optimization variable \(x\). Some `TaoTermType`s require the solution and parameter spaces to be related (e.g., have the same size); see the documentation for each type.

Alternatively, one may use `TaoTermSetParametersSizes()` or `TaoTermSetParametersTemplate()` to define the vector sizes.

## See Also

TaoTerm: composable objective function terms, `TaoTerm`, `TaoTermGetParametersVecType()`, `TaoTermSetParametersVecType()`, `TaoTermGetParametersLayout()`, `TaoTermSetSolutionTemplate()`, `TaoTermSetParametersTemplate()`, `TaoTermCreateParametersVec()`

## Level

intermediate

## Location

src/tao/term/interface/taoterm.c

Index of all TaoTerm routines
Table of Contents for all manual pages
Index of all manual pages